# $Revision: 1.29 $, $Date: 2011/02/14 07:50:25 $
Summary:	Embeddable database
Summary(pl.UTF-8):	Baza danych
Name:		metakit
Version:	2.4.9.7
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.equi4.com/pub/mk/%{name}-%{version}.tar.gz
# Source0-md5:	17330257376eea657827ed632ea62c9e
Patch0:		%{name}-sparc64.patch
URL:		http://www.equi4.com/metakit.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		tcl_version	8.5

%description
MetaKit is an embeddable database which runs on Unix, Windows,
Macintosh, and other platforms. It lets you build applications which
store their data efficiently, in a portable way, and which will not
need a complex runtime installation. In terms of the data model,
MetaKit takes the middle ground between RDBMS, OODBMS, and flat-file
databases - yet it is quite different from each of them.

%description -l pl.UTF-8
MetaKit to baza danych pracująca na platformach Unix, Windows,
Macintosh oraz innych. Pozwala ona na tworzenie aplikacji, które
zapisują dane efektywnie w sposób łatwy do przenoszenia między
platformami i które nie wymagają skomplikowanej instalacji. MetaKit
używając określeń z dziedziny baz danych znajduje się pomiędzy RDBMS,
OODBMS i bazami opartymi na płaskich-plikach.

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	metakit-static

%description devel
Header files and development documentation for %{name}.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do %{name}.

%package -n python-metakit
Summary:	Python modules for metakit
Summary(pl.UTF-8):	Moduły Pythona dla pakietu metakit
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-metakit
Python modules for metakit.

%description -n python-metakit -l pl.UTF-8
Moduły Pythona dla pakietu metakit.

%package -n tcl-metakit
Summary:	Tcl modules for metakit
Summary(pl.UTF-8):	Moduły Tcl-a dla pakietu metakit
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description -n tcl-metakit
Tcl modules for metakit.

%description -n tcl-metakit -l pl.UTF-8
Moduły Tcl-a dla pakietu metakit.

%prep
%setup -q
%patch0 -p1

%build
cd unix
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-tcl=%{_includedir},%{_libdir}/tcl%{tcl_version} \
	--with-python=%{py_incdir},%{py_sitedir} \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{py_sitedir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	-C unix \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%doc CHANGES Metakit.html doc
%{_includedir}/*.h
%{_includedir}/*.inl
%{_examplesdir}/%{name}-%{version}

%files -n python-metakit
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/Mk4py.so
%{py_sitedir}/metakit.py

%files -n tcl-metakit
%defattr(644,root,root,755)
%dir %{_libdir}/tcl%{tcl_version}/Mk4tcl
%attr(755,root,root) %{_libdir}/tcl%{tcl_version}/Mk4tcl/Mk4tcl.so
%{_libdir}/tcl%{tcl_version}/Mk4tcl/pkgIndex.tcl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metakit.spec,v $
Revision 1.29  2011/02/14 07:50:25  glen
- release 1

Revision 1.28  2008/03/11 16:01:33  tommat
- added sparc64 fix

Revision 1.27  2008-01-04 01:59:48  zbyniu
- up to 2.4.9.7; lib64 fixes

Revision 1.26  2007-02-13 06:46:53  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.24  2006/08/19 19:44:32  qboosh
- -devel O: metakit-static; pl for new packages

Revision 1.23  2006/07/30 22:56:23  glen
- remote trash from last commit message

Revision 1.22  2006/07/30 21:47:26  glen
- updated to 2.4.9.5, updated URL
- static package is gone (can't be built with shared at some time, anyone bother to hack?)
- added python- and tcl- bindings subpackages

Revision 1.21  2006/04/17 14:17:08  megabajt
- strict internal deps

Revision 1.20  2004/01/29 22:38:18  eothane
- updated to 2.4.9.3

Revision 1.19  2003/08/02 15:26:58  grzegol
- removed DESTDIR patch
- added examples
- more docs
- cleanups
- rel. 2

Revision 1.18  2003/06/24 11:17:41  ankry
- proper URL and md5 now

Revision 1.17  2003/06/24 10:52:43  ankry
- 2.4.9.2, untested

Revision 1.16  2003/06/24 10:50:52  ankry
- md5

Revision 1.15  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/25 14:17:27  ankry
- massive attack: no need for 755 for *.la

Revision 1.12  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:14:08  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/03 19:56:42  mmazur
- updated to 2.4.5... it's semibroken but works (I think :)

Revision 1.8  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:49  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/09/26 12:29:26  qboosh
- adapterized, BuildRequires: automake

Revision 1.4  2001/04/22 16:30:46  kloczek
- release 2.

Revision 1.3  2001/04/22 14:01:47  misiek
- added debian patch

Revision 1.2  2001/04/22 09:59:31  misiek
- .inl files added

Revision 1.1  2001/04/22 09:15:11  misiek
- new, embeddable database
- release 1
